define("applications/nbi/js/search", ["dojo/request/xhr"],
    function(xhr) {
        function doSearch(baseUrl, term) {
            xhr(baseUrl +"/search/indexed", {
                handleAs: "json"
            }).then(function(indexed) {
                if (String(indexed) === "true") {
                    window.location.assign(baseUrl +"/search?term=" + term);
                } else {
                    window.location.assign(baseUrl +"/search/indexing?term=" + term);
                }
            }, function(err) {
                console.log(err);
            });
        }
        
        return {
            doSearch: function (baseUrl, term) {
                doSearch(baseUrl, term);
            }
        }
    });

function loadSearchBox() {
    var search = window.location.search.toString()
    var indx = search.indexOf("term")
    if (indx !== -1) {
        var term = search.substring(indx + 5)
        document.getElementById("term").value = unescape(term);
    } else {
        var xmlhttp = new XMLHttpRequest()
        var indexUrl = document.getElementById('baseURL').value + "/search/index"
        xmlhttp.open("GET", indexUrl, true);
        xmlhttp.send(null);
    }
}